ThreeColorHeatmapHighlighter (base API)
Date: 2019-04-05

com.twosigma.beakerx.table.highlight

## Class ThreeColorHeatmapHighlighter

- java.lang.Object
- - com.twosigma.beakerx.table.highlight.TableDisplayCellHighlighter
  - - com.twosigma.beakerx.table.highlight.HeatmapHighlighter
    - - com.twosigma.beakerx.table.highlight.ThreeColorHeatmapHighlighter

-     public class ThreeColorHeatmapHighlighter
      extends HeatmapHighlighter

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.table.highlight.TableDisplayCellHighlighter

      `FULL_ROW, SINGLE_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreeColorHeatmapHighlighter(java.lang.String colName, HighlightStyle style)`
    `ThreeColorHeatmapHighlighter(java.lang.String colName, HighlightStyle style, java.lang.Number minVal, java.lang.Number midVal, java.lang.Number maxVal)`
    `ThreeColorHeatmapHighlighter(java.lang.String colName, HighlightStyle style, java.lang.Number minVal, java.lang.Number midVal, java.lang.Number maxVal, Color minColor, Color midColor, Color maxColor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getMidColor()`
    `java.lang.Number` | `getMidVal()`

    - ### Methods inherited from class com.twosigma.beakerx.table.highlight.HeatmapHighlighter

      `getColName, getMaxColor, getMaxVal, getMinColor, getMinVal, getStyle`

    - ### Methods inherited from class com.twosigma.beakerx.table.highlight.TableDisplayCellHighlighter

      `getHeatmapHighlighter, getHeatmapHighlighter, getHeatmapHighlighter, getHeatmapHighlighter, getHeatmapHighlighter, getHeatmapHighlighter, getUniqueEntriesHighlighter, getUniqueEntriesHighlighter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreeColorHeatmapHighlighter

          public ThreeColorHeatmapHighlighter(java.lang.String colName,
                                              HighlightStyle style)

    - #### ThreeColorHeatmapHighlighter

          public ThreeColorHeatmapHighlighter(java.lang.String colName,
                                              HighlightStyle style,
                                              java.lang.Number minVal,
                                              java.lang.Number midVal,
                                              java.lang.Number maxVal)

    - #### ThreeColorHeatmapHighlighter

          public ThreeColorHeatmapHighlighter(java.lang.String colName,
                                              HighlightStyle style,
                                              java.lang.Number minVal,
                                              java.lang.Number midVal,
                                              java.lang.Number maxVal,
                                              Color minColor,
                                              Color midColor,
                                              Color maxColor)

  - ### Method Detail

    - #### getMidVal

          public java.lang.Number getMidVal()

    - #### getMidColor

          public Color getMidColor()